|  | Home · All Classes · Modules

# Phonon.EffectDescription Class Reference
[phonon module]

### Methods

- __init__ (self)
- __init__ (self, int index, dict-of-QByteArray-QVariant properties)
- __init__ (self, EffectDescription)
- QString description (self)
- int index (self)
- bool isValid (self)
- QString name (self)
- QVariant property (self, str name)
- list-of-QByteArray propertyNames (self)

### Static Methods

- EffectDescription fromIndex (int index)

### Special Methods

- bool __eq__ (self, EffectDescription otherDescription)
- bool __ne__ (self, EffectDescription otherDescription)

## Detailed Description

## Method Documentation

### EffectDescription.__init__ (self)

### EffectDescription.__init__ (self, int index, dict-of-QByteArray-QVariant properties)

### EffectDescription.__init__ (self, EffectDescription)

### QString EffectDescription.description (self)

### EffectDescription EffectDescription.fromIndex (int index)

### int EffectDescription.index (self)

### bool EffectDescription.isValid (self)

### QString EffectDescription.name (self)

### QVariant EffectDescription.property (self, str name)

### list-of-QByteArray EffectDescription.propertyNames (self)

### bool EffectDescription.__eq__ (self, EffectDescription otherDescription)

### bool EffectDescription.__ne__ (self, EffectDescription otherDescription)